//BTN SIZE VARS

@btn-factor_xxs:    0.4;
@btn-factor_xs:     0.6;
@btn-factor_s:      0.8;
@btn-factor_m:      1;
@btn-factor_l:      1.2;
@btn-factor_xl:     1.4;
@btn-factor_xxl:    1.6;

@btn-size_xxs:      @btn-factor_xxs*@btn-unit;
@btn-size_xs:       @btn-factor_xs*@btn-unit;
@btn-size_s:        @btn-factor_s*@btn-unit;
@btn-size_m:        @btn-factor_m*@btn-unit;
@btn-size_l:        @btn-factor_l*@btn-unit;
@btn-size_xl:       @btn-factor_xl*@btn-unit;
@btn-size_xxl:      @btn-factor_xxl*@btn-unit;



//BTN SIZE MODS

.btn {
    &_auto {
        min-height: @btn-height;
    }
    &_xs {
        font-size: @btn-size_xs;
        min-height: @btn-height;
    }
    &_s {
        font-size: @btn-size_s;
        min-height: @btn-height;
    }
    &_m {
        font-size: @btn-size_m;
        min-height: @btn-height;
    }
    &_l {
        font-size: @btn-size_l;
        min-height: @btn-height;
    }
    &_xl {
        font-size: @btn-size_xl;
        min-height: @btn-height;
    }
}
